Skip to main content
DELETE
Cancel Order (V2)
Auto-routing requires market_ticker. An order_id alone cannot identify the exchange shard.
Rate limit: 2 tokens per request. See GET /trade-api/v2/account/endpoint_costs for current non-default endpoint costs.

Authorizations

KALSHI-ACCESS-KEY
string
header
required

Your API key ID

KALSHI-ACCESS-SIGNATURE
string
header
required

RSA-PSS signature of the request

KALSHI-ACCESS-TIMESTAMP
string
header
required

Request timestamp in milliseconds

Path Parameters

order_id
string
required

Order ID

Query Parameters

subaccount
integer

Subaccount number (0 for primary, 1-63 for subaccounts). Defaults to 0.

exchange_index
integer

Exchange shard index. If omitted, auto-routes when market_ticker is provided; otherwise defaults to 0. Use -1 to require auto-routing. The market_ticker parameter is required for auto-routing. Identifier for an exchange shard.

Example:

0

market_ticker
string

Market ticker. Required for auto-routing when exchange_index is omitted or -1.

Response

Order cancelled successfully

order_id
string
required
reduced_by
string
required

Number of contracts that were canceled (i.e. the remaining count at time of cancellation).

Example:

"10.00"

ts_ms
integer<int64>
required

Matching engine timestamp at which the cancellation was processed, as Unix epoch milliseconds.

client_order_id
string